<?php 
session_start(); 
require_once('../conexion.php');
require_once('../include/sesiones.php');
$gard_id=limpiar($_GET['gard_id']);
$can11=mysqli_query($con,"SELECT * FROM garantia_pro_detalle where gard_id='$gard_id'") or die(mysqli_error($con));  
$dato=mysqli_fetch_array($can11);
$estado=$dato['estado'];
$art_id_bod=$dato['art_id_bod']; 
$gar_art_id=$dato['gar_art_id']; 
$gard_cantidad=$dato['gard_cantidad'];
$gar_id=$dato['garntias_proveedor_gar_id'];
$fecha=date('Y-m-d H:i:s');



if($estado=='Sin Vender')
{
	$can12=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE art_id='$art_id_bod' and articulos_art_id='$gar_art_id' and empresa='$empresa'") or die(mysqli_error($con)); 
    $dato=mysqli_fetch_array($can12);
    $art_cantidad=$dato['art_cantidad']; 
    $suma=$gard_cantidad+$art_cantidad;  
    $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$suma' Where art_id='$art_id_bod' and articulos_art_id='$gar_art_id' and empresa='$empresa'") or die(mysqli_error($con)); 

    $can15=mysqli_query($con,"SELECT * FROM serial_garantias where garantia_detalle_gard_id='$gard_id'") or die(mysqli_error($con));  
	while($ser=mysqli_fetch_array($can15))
	{
	    $gard_codigo=$ser['gard_codigo'];
	    $registros=mysqli_query($con,"UPDATE seriales_articulos Set estado='sin vender' Where articulos_art_id='$gar_art_id' and se_codigo='$gard_codigo'") or die(mysqli_error($con));
	}
	$borrar_sql=mysqli_query($con,"DELETE FROM serial_garantias WHERE garantia_detalle_gard_id='$gard_id'") or die(mysqli_error($con)); 
    $borrar_sql=mysqli_query($con,"DELETE FROM garantia_pro_detalle WHERE gard_id='$gard_id'") or die(mysqli_error($con)); 


	$can7e=mysqli_query($con,"SELECT count(*) AS numrows FROM garantia_pro_detalle
	where garntias_proveedor_gar_id='$gar_id' and solucion='Pendiente'") or die(mysqli_error($con));  
	$es=mysqli_fetch_array($can7e);
	$numrows = $es['numrows'];
	if($numrows==0)
	{
	    $registros=mysqli_query($con,"UPDATE garantias_proveedor Set gar_estado='Solucionado', gar_fecha_solucion='$fecha' Where gar_id='$gar_id'") or die(mysqli_error($con));
	}
}
else
{
	$borrar_sql=mysqli_query($con,"DELETE FROM serial_garantias WHERE garantia_detalle_gard_id='$gard_id'") or die(mysqli_error($con)); 
	$borrar_sql=mysqli_query($con,"DELETE FROM garantia_pro_detalle WHERE gard_id='$gard_id'") or die(mysqli_error($con)); 

	$can7e=mysqli_query($con,"SELECT count(*) AS numrows FROM garantia_pro_detalle
	where garntias_proveedor_gar_id='$gar_id' and solucion='Pendiente'") or die(mysqli_error($con));  
	$es=mysqli_fetch_array($can7e);
	$numrows = $es['numrows'];
	if($numrows==0)
	{
	    $registros=mysqli_query($con,"UPDATE garantias_proveedor Set gar_estado='Solucionado', gar_fecha_solucion='$fecha' Where gar_id='$gar_id'") or die(mysqli_error($con));
	}
}
?>